Skip to main content
POST
Create an API Key

Authorizations

Authorization
string
header
required

Basic Authentication used by routes designed for the Management-UI.

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

organisationId
string
required

The Id of the Organisation

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the created api-key.

name
string
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer
Required range: 0 <= x <= 2147483647
Example:

1527621049

apiKey
string
Last modified on July 22, 2026